<template>
  <div class="icon nav-icon-5" :class="{ open: active }">
    <span></span>
    <span></span>
    <span></span>
  </div>
</template>

<script>
export default {
  props: {
    active: {
      type: Boolean,
      default: false,
    },
  },
}
</script>

<style>
body {
  --v-icon-color: currentColor;
  --v-icon-color-hover: currentColor;
  --v-icon-width: 50px;
  --v-icon-height: 30px;
}
</style>

<style lang="scss" scoped>
.nav-icon-5 {
  width: var(--v-icon-width);
  height: var(--v-icon-height);
  margin: 10px 10px;
  position: relative;
  cursor: pointer;
  display: inline-block;
}
.nav-icon-5 span {
  background-color: white;

  position: absolute;

  transition: 0.3s cubic-bezier(0.8, 0.5, 0.2, 1.4);
  width: 100%;

  height: calc(var(--v-icon-height) / 5);
  transition-duration: 500ms;
}
.nav-icon-5 span:nth-child(1) {
  top: 0px;
  left: 0px;
}
.nav-icon-5 span:nth-child(2) {
  top: calc(var(--v-icon-height) / 5 * 2);
  left: 0px;
  opacity: 1;
}
.nav-icon-5 span:nth-child(3) {
  bottom: 0px;
  left: 0px;
}

.nav-icon-5:not(.open):hover span:nth-child(1) {
  width: 100%;

  display: block;
  top: -2px;
  left: 0px;
  transition: 0.2s ease;
}
.nav-icon-5:not(.open):hover span:nth-child(2) {
  width: 100%;

  display: block;
  top: calc(var(--v-icon-height) / 5 * 2);
  left: 0px;
  transition: 0.2s ease;
}
.nav-icon-5:not(.open):hover span:nth-child(3) {
  width: 100%;

  display: block;
  bottom: -2px;
  left: 0px;
  transition: 0.2s ease;
}
.nav-icon-5.open span:nth-child(1) {
  transform: rotate(45deg);
  top: 13px;
}
.nav-icon-5.open span:nth-child(2) {
  opacity: 0;
}
.nav-icon-5.open span:nth-child(3) {
  transform: rotate(-45deg);
  top: 13px;
}
</style>
